Skip to main content
GET
https://api.legitmark.com
/
api
/
brands
/
{brand_uuid}
/
models
Get Brand Models
curl --request GET \
  --url https://api.legitmark.com/api/brands/{brand_uuid}/models \
  --header 'Authorization: Bearer <token>'
{
  "success": true,
  "rc_hit": true,
  "rc_key": "models:b1caaf6993d25239c475fa106f03fbee",
  "message": "All the models were fetched successfully for this brand.",
  "models": [
    {
      "uuid": "8464ae2d-f98a-410b-99c7-7824dff0138e",
      "name": "Air Jordan 1 Low",
      "brand": "03e7eb07-5e1e-465d-92a6-228dcaa6b148",
      "created-at": "2023-11-12T03:54:22.000Z",
      "updated-at": "2023-11-12T03:54:22.000Z"
    },
    {
      "uuid": "697aa1c6-bebe-40c6-8594-5f76ddbeac6d",
      "name": "Air Jordan 1 Mid",
      "brand": "03e7eb07-5e1e-465d-92a6-228dcaa6b148",
      "created-at": "2023-11-12T03:54:22.000Z",
      "updated-at": "2023-11-12T03:54:22.000Z"
    },
    {
      "uuid": "8694d40b-4f00-40ca-ad27-c380b5b3d4f9",
      "name": "Air Jordan 1 Retro Low OG",
      "brand": "03e7eb07-5e1e-465d-92a6-228dcaa6b148",
      "created-at": "2023-11-12T03:54:22.000Z",
      "updated-at": "2023-11-12T03:54:22.000Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.legitmark.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:leo_your_api_key_here
required

Bearer token authentication. Use your API key in the format: Bearer leo_xxxxxxxx

Path Parameters

brand_uuid
string<uuid>
required

Response

200 - application/json

Models retrieved successfully

success
boolean
required
Example:

true

message
string
required
Example:

"All the models were fetched successfully for this brand."

models
object[]
required
rc_hit
boolean

Indicates if the response was served from cache

Example:

true

rc_key
string

Cache key used for this response

Example:

"models:abc123"